---
title: API 키 목록 조회 | RunAPI
description: 현재 계정의 활성 표준 API 키 목록을 조회합니다.
url: https://runapi.ai/ko/docs/api/management/keys/list.md
canonical: https://runapi.ai/ko/docs/api/management/keys/list
locale: ko
---

> HTML 버전: https://runapi.ai/ko/docs/api/management/keys/list
> 에이전트용 사이트 색인: https://runapi.ai/llms.txt

# API 키 목록 조회

현재 계정의 활성 표준 API 키 목록을 조회합니다.

## 엔드포인트

GET /api/v1/keys

Base URL: https://runapi.ai

API 버전: v1

인증: Authorization: Bearer YOUR_MANAGEMENT_API_KEY


Authorization: 계정 관리자 관리 API 키가 필요하며 해당 사용자가 소유한 표준 API 키만 반환합니다.

## 요청

나열된 요청 위치에만 값을 전송하세요.

### 쿼리 매개변수

```json
{
  "limit": {
    "default": 20,
    "description": "페이지당 반환되는 최대 API 키 수.",
    "max": 100,
    "min": 1,
    "required": false,
    "type": "integer"
  },
  "page": {
    "default": 1,
    "description": "오프셋 페이지 번호. 값은 1부터 시작합니다.",
    "min": 1,
    "required": false,
    "type": "integer"
  }
}
```

## 성공 응답

HTTP 200 - GET /api/v1/keys

```json
{
  "keys": [
    {
      "allowed_models": [
        "gpt-5.4"
      ],
      "created_at": "2026-07-27T10:00:00.000Z",
      "credit_limit_cents": 1000,
      "credit_limit_reset_interval": "daily",
      "credit_limit_windows": {
        "1d": {
          "limit_cents": 500
        },
        "1h": {
          "limit_cents": 100
        },
        "7d": {
          "limit_cents": 2000
        }
      },
      "enabled": true,
      "guardrail_id": "guardrail_123",
      "id": "token_123",
      "last_used_at": null,
      "masked_token": "runapi_abc...wxyz",
      "name": "Production"
    }
  ],
  "pagination": {
    "limit": 20,
    "page": 1,
    "pages": 1,
    "total": 1
  }
}
```

## 오류 응답 (401)

HTTP 401

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Authentication required"
}
```

## 오류 응답 (403)

HTTP 403

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Management API key required"
}
```

## 오류 응답 (403)

HTTP 403

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Account admin required"
}
```

## 오류 응답 (400)

HTTP 400

### 응답 스키마

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "사람이 읽을 수 있는 오류 메시지.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "사람이 읽을 수 있는 유효성 검사 요약입니다.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "공개 요청 필드를 키로 하는 유효성 검사 메시지로, 각 필드에 대해 사람이 읽을 수 있는 문자열 배열이 포함됩니다.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### 응답 예시

```json
{
  "error": "page must be an integer"
}
```

## cURL 예시



### curl

```curl
curl -X GET https://runapi.ai/api/v1/keys?page=1&limit=20 \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'
```

## 관련 참조

- [API 키](https://runapi.ai/ko/docs/api/management/keys.md)
- [API 키 객체](https://runapi.ai/ko/docs/api/management/keys/object.md)

---

## RunAPI의 더 많은 정보

- [홈](https://runapi.ai/ko/.md)
- [모델 카탈로그](https://runapi.ai/ko/models.md)
- [요금](https://runapi.ai/ko/pricing.md)
- [제공사](https://runapi.ai/ko/models)
- [문서](https://runapi.ai/ko/docs/guides)
- [SDK](https://runapi.ai/ko/sdk.md)
- [CLI](https://runapi.ai/ko/cli.md)
- [MCP Server](https://runapi.ai/ko/mcp.md)
- [Claude Code와 Cursor](https://runapi.ai/ko/claude-code-vs-cursor.md)
- [Cursor API 설정](https://runapi.ai/ko/cursor-api-setup.md)
- [RunAPI와 OpenRouter 비교](https://runapi.ai/ko/openrouter-alternative.md)
- [엔터프라이즈](https://runapi.ai/ko/contact.md)
- [문의](https://runapi.ai/ko/contact.md)
- [약관](https://runapi.ai/ko/terms.md)
- [개인정보](https://runapi.ai/ko/privacy.md)
- [에이전트용 사이트 색인](https://runapi.ai/llms.txt)

문의: contact@runapi.ai

## 구조화된 데이터

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/ko",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/ko/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/ko",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/koicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "TechArticle",
    "headline": "API 키 목록 조회",
    "description": "현재 계정의 활성 표준 API 키 목록을 조회합니다.",
    "url": "https://runapi.ai/ko/docs/api/management/keys/list",
    "mainEntityOfPage": "https://runapi.ai/ko/docs/api/management/keys/list"
  }
]
```
